/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */
#pragma once

#include <raylib.h> /* for the color struct */

#define TILE_WIDTH 16 /* in pixels */
#define TILE_HEIGHT 16
#define TILESET_WIDTH 16 /* in tiles */
#define TILESET_HEIGHT 16
#define TILESET_MIN_WIDTH_PX (TILE_WIDTH * TILESET_WIDTH)
#define TILESET_MIN_HEIGHT_PX (TILE_HEIGHT * TILESET_HEIGHT)

static const int editor_target_fps = 60;
static const int picker_target_fps = 30;
static const Color unselected_tile_color = {80, 80, 80, 255};
static const Color overring_tile_color = {255, 255, 255, 80};

#define EDITOR_SCALE 1 /* don't change this yet! */
static const int editor_window_width = 396 * EDITOR_SCALE;
static const int editor_window_height = 224 * EDITOR_SCALE;
static const int draw_offset_x = -2 * EDITOR_SCALE;
static const int draw_offset_y = -8 * EDITOR_SCALE;

#define PICKER_SCALE 1 /* don't change this yet! */
#define PICKER_PADDING 4
static const int picker_window_width =
    (TILE_WIDTH + PICKER_PADDING) * TILESET_WIDTH + PICKER_PADDING;
static const int picker_window_height =
    (TILE_HEIGHT + PICKER_PADDING) * TILESET_HEIGHT + PICKER_PADDING;
